#include "xmaterialconstantdef.h"

XMaterialConstantDef::XMaterialConstantDef()
    : XAsset()
    , mNameHash(0)
    , mName("")
    , mLiteral()
{
    
}

XMaterialConstantDef::~XMaterialConstantDef()
{
    
}

void XMaterialConstantDef::ParseData(QDataStream *aStream)
{
    
}

void XMaterialConstantDef::Clear()
{
    mNameHash = 0;
    mName = "";
    mLiteral = QList<float>();
}
